#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - ntfs_3g installation
#
# Creation   :  2013-02-06 holbru
# Last update:  $Id: postinstall-ntfs_3g.sh 35481 2014-04-30 18:50:12Z hbfl $
#
# Copyright (c) 2013-2014 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=ntfs_3g

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------
lib_names="libntfs-3g.so.85.0.0"

cd /lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done

# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig

# ---------------------------------------------------------------------------
# create symlink
# ---------------------------------------------------------------------------


cd /sbin

rm -f lowntfs-3g
rm -f mount.lowntfs-3g
ln -sf ../usr/bin/lowntfs-3g mount.lowntfs-3g
rm -f mount.ntfs-3g
ln -sf ../usr/bin/ntfs-3g mount.ntfs-3g


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
